package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.laboratory.domain.LabViolation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 违规记录VO
 *
 * @Author: zhoupan
 * @Date: 2021/09/07/15:17
 * @Description:
 */
@ApiModel("违规记录表")
public class LabViolationVO extends LabViolation {


    /**
     * 角色类型
     */
    private Long creact_id;

    /**
     * 实验室名称
     */
    @ApiModelProperty("实验室名称")
    private String subjectName;

    /**
     * 违规人姓名
     */
    @ApiModelProperty("违规人姓名")
    private String userName;

    /**
     * 违规次数
     */
    @ApiModelProperty("违规次数")
    private Long violCount;

    /**
     * 未处理违规次数
     */
    @ApiModelProperty("未处理违规次数")
    private Long untreatedCount;

    /**
     * 最近违规时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最近处理时间")
    private Date lastViolTime;


    /**
     * 最近处理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最近处理时间")
    private Date lastHandleTime;

    @ApiModelProperty("开始时间")
    private Date beginTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("是否黑名单")
    private Boolean blacklist;


    private long[] violationTypes;


    private Integer appPageNum;

    private Integer appPageSize;

    private String deptName;




    /**
     * 学号
     */
    private String stuNo;

    /**
     * 时间段
     */
    private String period;

    /**
     * 学期
     */
    private String semester;

    /**
     * 负面清单次数
     */
    private String negativeListCount;

    private String order;

    private String orderType;

    private String reason;

    /**
     * 扣除信用分
     */
    private Long deductionCredit;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 总积分
     */
   private Long totalPoints;

    /**
     * 奖励分
     */
   private Long bonusPoints;


    /**
     * 负面清单id
     */
   private Long negativeId;

    /**
     * 院校级状态（校级是1 院级是2）
     */
   private Integer deptLevel;

   private Integer schoolDeptId;

   private String beginTimeStr;

   private String endTimeStr;


    public Long getCreact_id() {
        return creact_id;
    }

    public void setCreact_id(Long creact_id) {
        this.creact_id = creact_id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Long getViolCount() {
        return violCount;
    }

    public void setViolCount(Long violCount) {
        this.violCount = violCount;
    }

    public Long getUntreatedCount() {
        return untreatedCount;
    }

    public void setUntreatedCount(Long untreatedCount) {
        this.untreatedCount = untreatedCount;
    }

    public Date getLastViolTime() {
        return lastViolTime;
    }

    public void setLastViolTime(Date lastViolTime) {
        this.lastViolTime = lastViolTime;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Boolean getBlacklist() {
        return blacklist;
    }

    public void setBlacklist(Boolean blacklist) {
        this.blacklist = blacklist;
    }

    public Date getLastHandleTime() {
        return lastHandleTime;
    }

    public void setLastHandleTime(Date lastHandleTime) {
        this.lastHandleTime = lastHandleTime;
    }

    public long[] getViolationTypes() {
        return violationTypes;
    }

    public void setViolationTypes(long[] violationTypes) {
        this.violationTypes = violationTypes;
    }

    public Integer getAppPageNum() {
        return appPageNum;
    }

    public void setAppPageNum(Integer appPageNum) {
        this.appPageNum = appPageNum;
    }

    public Integer getAppPageSize() {
        return appPageSize;
    }

    public void setAppPageSize(Integer appPageSize) {
        this.appPageSize = appPageSize;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }


    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getNegativeListCount() {
        return negativeListCount;
    }

    public void setNegativeListCount(String negativeListCount) {
        this.negativeListCount = negativeListCount;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getTotalPoints() {
        return totalPoints;
    }

    public void setTotalPoints(Long totalPoints) {
        this.totalPoints = totalPoints;
    }

    public Long getBonusPoints() {
        return bonusPoints;
    }

    public void setBonusPoints(Long bonusPoints) {
        this.bonusPoints = bonusPoints;
    }

    public Long getNegativeId() {
        return negativeId;
    }

    public void setNegativeId(Long negativeId) {
        this.negativeId = negativeId;
    }

    public Integer getDeptLevel() {
        return deptLevel;
    }

    public void setDeptLevel(Integer deptLevel) {
        this.deptLevel = deptLevel;
    }

    public Integer getSchoolDeptId() {
        return schoolDeptId;
    }

    public void setSchoolDeptId(Integer schoolDeptId) {
        this.schoolDeptId = schoolDeptId;
    }

    public String getBeginTimeStr() {
        return beginTimeStr;
    }

    public void setBeginTimeStr(String beginTimeStr) {
        this.beginTimeStr = beginTimeStr;
    }

    public String getEndTimeStr() {
        return endTimeStr;
    }

    public void setEndTimeStr(String endTimeStr) {
        this.endTimeStr = endTimeStr;
    }
}
